""" Second-generation simulator. More functional, cleaner code, faster """

from typing import NamedTuple
import jax
import jax.numpy as jnp


class SimState(NamedTuple):
    position: float
    time: float
    energy: float
    distance_remaining: float
    time_remaining: float

